Bug 1282135 - python-sphinx: nothing provides python2-sphinx
python-sphinx: nothing provides python2-sphinx
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: python-sphinx (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-14 21:36 EST by Carl George
Modified: 2016-02-20 15:30 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-02-20 15:30:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-11-14 21:36:26 EST
Description of problem:
According to the Packaging Guidelines, the subpackage containing the python2 version must provide python2-sphinx.  This can be accomplished with a virtual provides or by changing the subpackage layout so that there are python2-sphinx and python3-sphinx subpackages.

> Name: python-%{srcname}

> %package -n python2-%{srcname}

> %package -n python3-%{srcname}

Additional info:
http://fedoraproject.org/wiki/Packaging:Python#Provides
http://fedoraproject.org/wiki/Packaging:Python#Example_common_spec_file
Comment 1 Carl George 2016-02-09 15:56:27 EST
Has there been any progress on this?  I can assist with updating the spec file if I am added as a maintainer.

Note You need to log in before you can comment on or make changes to this bug.